"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const debounce_1 = tslib_1.__importDefault(require("debounce"));
const message_channel_1 = require("./message-channel");
function onFileChanged() {
    console.log('Reloading connected browsers...');
    console.log('');
    message_channel_1.sendMessageToActiveBrowsers('file-changed');
}
function setupBrowserReload(cfg) {
    const onChange = debounce_1.default(onFileChanged, cfg.watchDebounce);
    cfg.fileWatcher.addListener('change', onChange);
    cfg.fileWatcher.addListener('unlink', onChange);
}
exports.setupBrowserReload = setupBrowserReload;
//# sourceMappingURL=setup-browser-reload.js.map